FORUMS
Remove All Ads from XDA

Use APKTool on Android!

24 posts
Thanks Meter: 73
 
Post Reply Email Thread
13th June 2015, 07:43 PM |#101  
Member
Thanks Meter: 16
 
More
Quote:
Originally Posted by sosimple

Does it work in lolipop? Galaxy s5 here.. Some more help for more noob to apktlool? We still follow 1st page instractions "Download the archive apktool4.0_armhf.zip" ?
After i install apktool501, if i run apktlool from apps, it prompt me to install again!..

Edit...
After installing it again it opens this:..



In settings, in aapt version what to choose 4.4, 5.0, or new?
In apktlool version 2.0 or 1.5.2?

How to use it, in Windows we open cmd Window and write commands, here?

Thanks,

Guys its so simple...........!!!so here is how:download the apktool zip from the first page for the root of sd.extract and place the apktool folder in the root of the sd card.then in the folder delete the old files needed.the apktool.jar,smali.jar,baksmali.jar.ok now go to the ibotpeaches site and download the updated apktool.jar.it should be apktool rc4.jar something like that.rename it to apktool.jar and place it inside the apktool folder in your sd.ok download from there also the updated smali.jar and baksmali.jar no renames place them as they are to the apktool folder also.in the folder they are two apktool.jars.you replace only the one called apktool.jar without numbers.SET!!DONE!!i just decompiles my systemui of my s5 plus running 5.0.2 without errors!
The Following User Says Thank You to giorkam80 For This Useful Post: [ View ] Gift giorkam80 Ad-Free
 
 
20th June 2015, 04:05 PM |#102  
terryduren's Avatar
Junior Member
Flag Jefferson
Thanks Meter: 1
 
More
W: Could not find sources
Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [/data/data/per.pqy.apktool/apktool/openjdk/bin/aapt5.0, p, --min-sdk-version, 19, --target-sdk-version, 19, -F, /data/data/per.pqy.apktool/APKTOOL1118053858252449468.tmp, -x, -0, arsc, -S, /sdcard/apktool/New Folder/framework-res_src/res, -M, /sdcard/apktool/New Folder/framework-res_src/AndroidManifest.xml]
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:437)
at brut.androlib.Androlib.buildResources(Androlib.jav a:374)
at brut.androlib.Androlib.build(Androlib.java:277)
at brut.androlib.Androlib.build(Androlib.java:250)
at brut.apktool.Main.cmdBuild(Main.java:225)
at brut.apktool.Main.main(Main.java:84)
Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [/data/data/per.pqy.apktool/apktool/openjdk/bin/aapt5.0, p, --min-sdk-version, 19, --target-sdk-version, 19, -F, /data/data/per.pqy.apktool/APKTOOL1118053858252449468.tmp, -x, -0, arsc, -S, /sdcard/apktool/New Folder/framework-res_src/res, -M, /sdcard/apktool/New Folder/framework-res_src/AndroidManifest.xml]
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.java:488)
at brut.androlib.Androlib.buildResourcesFull(Androlib .java:423)
... 5 more
Caused by: brut.common.BrutException: could not exec command: [/data/data/per.pqy.apktool/apktool/openjdk/bin/aapt5.0, p, --min-sdk-version, 19, --target-sdk-version, 19, -F, /data/data/per.pqy.apktool/APKTOOL1118053858252449468.tmp, -x, -0, arsc, -S, /sdcard/apktool/New Folder/framework-res_src/res, -M, /sdcard/apktool/New Folder/framework-res_src/AndroidManifest.xml]
at brut.util.OS.exec(OS.java:93)
at brut.androlib.res.AndrolibResources.aaptPackage(An drolibResources.java:482)
... 6 more
Caused by: java.io.IOException: Cannot run program "/data/data/per.pqy.apktool/apktool/openjdk/bin/aapt5.0": error=13, Permission denied
at java.lang.ProcessBuilder.start(ProcessBuilder.java :1047)
at java.lang.Runtime.exec(Runtime.java:617)
at java.lang.Runtime.exec(Runtime.java:485)
at brut.util.OS.exec(OS.java:84)
... 7 more
Caused by: java.io.IOException: error=13, Permission denied
at java.lang.UNIXProcess.forkAndExec(Native Method)
at java.lang.UNIXProcess.<init>(UNIXProcess.java:186)
at java.lang.ProcessImpl.start(ProcessImpl.java:130)
at java.lang.ProcessBuilder.start(ProcessBuilder.java :1028)
... 10 more
I: Using Apktool 2.0.0-5d73e2-SNAPSHOT on framework-res_src
I: Building resources...


I need some help really bad PLEASE
23rd June 2015, 11:47 PM |#103  
Member
Flag Vilnius
Thanks Meter: 7
 
More
Getting this error when trying to decompile resources:
Code:
sh: can't open '/data/data/per.pqy.apktool/mydata/apktool2.sh'
27th June 2015, 01:33 AM |#104  
Senior Member
Thanks Meter: 76
 
More
I have download version 5.2.0 from mobilism. I try all possibities on settings, but i can't decompile my systemui.
I'm on z3c 5.0.2 stock.
Always give some errors.
27th June 2015, 02:13 AM |#105  
dedichthui's Avatar
Senior Member
Thanks Meter: 235
 
More
Quote:
Originally Posted by Fuzark

I have download version 5.2.0 from mobilism. I try all possibities on settings, but i can't decompile my systemui.
I'm on z3c 5.0.2 stock.
Always give some errors.

I can't decompile any files on lollipop 5.1. Try this, do not check on root in settings.
Attached Thumbnails
Click image for larger version

Name:	Screenshot_2015-06-27-08-34-43.png
Views:	848
Size:	146.9 KB
ID:	3380149  
27th June 2015, 04:01 AM |#106  
Senior Member
Thanks Meter: 76
 
More
Quote:
Originally Posted by dedichthui

I can't decompile any files on lollipop 5.1. Try this, do not check on root in settings.

I try both. No root and root.
27th June 2015, 05:49 PM |#107  
Senior Member
Thanks Meter: 76
 
More
Where can i find more info about this app?
VĂ­deo tutorial?

I try everything to decompile my systemui.

Thx!
28th June 2015, 12:25 AM |#108  
Senior Member
Thanks Meter: 76
 
More
Quote:
Originally Posted by giorkam80

Guys its so simple...........!!!so here is how:download the apktool zip from the first page for the root of sd.extract and place the apktool folder in the root of the sd card.then in the folder delete the old files needed.the apktool.jar,smali.jar,baksmali.jar.ok now go to the ibotpeaches site and download the updated apktool.jar.it should be apktool rc4.jar something like that.rename it to apktool.jar and place it inside the apktool folder in your sd.ok download from there also the updated smali.jar and baksmali.jar no renames place them as they are to the apktool folder also.in the folder they are two apktool.jars.you replace only the one called apktool.jar without numbers.SET!!DONE!!i just decompiles my systemui of my s5 plus running 5.0.2 without errors!

I follow u steps give me that.

Exception in thread "main" brut.androlib.AndrolibException: Could not decode arsc file
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:54)
at brut.androlib.res.AndrolibResources.getResPackages FromApk(AndrolibResources.java:615)
at brut.androlib.res.AndrolibResources.loadMainPkg(An drolibResources.java:74)
at brut.androlib.res.AndrolibResources.getResTable(An drolibResources.java:66)
at brut.androlib.Androlib.getResTable(Androlib.java:5 4)
at brut.androlib.ApkDecoder.getResTable(ApkDecoder.ja va:216)
at brut.androlib.ApkDecoder.setAnalysisMode(ApkDecode r.java:173)
at brut.androlib.ApkDecoder.decode(ApkDecoder.java:88 )
at brut.apktool.Main.cmdDecode(Main.java:166)
at brut.apktool.Main.main(Main.java:85)
Caused by: java.io.IOException: Expected: 0x001c0001, got: 0x00000000
at brut.util.ExtDataInput.skipCheckInt(ExtDataInput.j ava:48)
at brut.androlib.res.decoder.StringBlock.read(StringB lock.java:43)
at brut.androlib.res.decoder.ARSCDecoder.readPackage( ARSCDecoder.java:101)
at brut.androlib.res.decoder.ARSCDecoder.readTable(AR SCDecoder.java:81)
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:49)
... 9 more
I: Using Apktool 2.0.0-Beta7 on SystemUI.apk
I: Loading resource table...
17th July 2015, 09:16 AM |#109  
Junior Member
Thanks Meter: 0
 
More
Hi guys, i have a problem when recompile.
I installed apktool5.0 and apktool_2.0.1.jar, i installed frameworks lge-res and framework-res but this is the message when i recompile.
I need help please


Exception in thread "main" brut.androlib.AndrolibException: java.io.FileNotFoundException: /storage/sdcard0/_w1/LGSystemUI_src/smali/com/lge/effect/lightParticle/LightParticleRenderer$2.smali (Interrupted system call)
at brut.androlib.src.SmaliBuilder.build(SmaliBuilder. java:59)
at brut.androlib.src.SmaliBuilder.build(SmaliBuilder. java:41)
at brut.androlib.Androlib.buildSourcesSmali(Androlib. java:354)
at brut.androlib.Androlib.buildSources(Androlib.java: 294)
at brut.androlib.Androlib.build(Androlib.java:280)
at brut.androlib.Androlib.build(Androlib.java:255)
at brut.apktool.Main.cmdBuild(Main.java:225)
at brut.apktool.Main.main(Main.java:84)
Caused by: java.io.FileNotFoundException: /storage/sdcard0/_w1/LGSystemUI_src/smali/com/lge/effect/lightParticle/LightParticleRenderer$2.smali (Interrupted system call)
at java.io.FileInputStream.open(Native Method)
at java.io.FileInputStream.(FileInputStream.java:146)
at brut.androlib.src.SmaliBuilder.buildFile(SmaliBuil der.java:66)
at brut.androlib.src.SmaliBuilder.build(SmaliBuilder. java:55)
... 7 more
I: Using Apktool 2.0.0-RC4
I: Smaling smali folder into classes.dex...
25th July 2015, 07:56 PM |#110  
Member
Flag hartford
Thanks Meter: 10
 
More
Help
After hours and houra of searching the Web I cannot for the life of me find a fix for this error code

ERROR: ld.so: object 'libsigchain.so' from LD_PRELOAD cannot be preloaded: ignored.
Input file (/data/data/per.pqy.apktool/apktool/framework/127_src) was not found or was not readable.

Someone please let me know of what I'm doing wrong this appears when I try to decompile
15th October 2015, 02:41 PM |#111  
Senior Member
Thanks Meter: 1,400
 
More
java not found
I read through this thread, and 'java not found' error was brought up about 5 times. Only answer has been to set /sdcard/apktool as data directory, but I don't think that's applicable on v 4.4, where there's no settings option for that. Also, the java file it's not finding is actually there, right where it says it's not found. Anyone have any other ideas? thanks

---------- Post added at 09:41 AM ---------- Previous post was at 09:22 AM ----------

Also, when trying different version, I got this -
Exception in thread "main" brut.androlib.AndrolibException: Could not decode arsc file
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:54)
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:40)
at brut.androlib.res.AndrolibResources.installFramewo rk(AndrolibResources.java:686)
at brut.androlib.Androlib.installFramework(Androlib.j ava:640)
at brut.apktool.Main.cmdInstallFramework(Main.java:24 9)
at brut.apktool.Main.main(Main.java:91)
Caused by: java.io.IOException: Expected: 0x001c0001, got: 0x00000000
at brut.util.ExtDataInput.skipCheckInt(ExtDataInput.j ava:48)
at brut.androlib.res.decoder.StringBlock.read(StringB lock.java:43)
at brut.androlib.res.decoder.ARSCDecoder.readPackage( ARSCDecoder.java:101)
at brut.androlib.res.decoder.ARSCDecoder.readTable(AR SCDecoder.java:81)
at brut.androlib.res.decoder.ARSCDecoder.decode(ARSCD ecoder.java:49)
... 5 more

Then 'import finished' message.
Thanks for any help

Not found error msg :
ERROR: ld.so: object 'libsigchain.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libNimsWrap.so' from LD_PRELOAD cannot be preloaded: ignored.
/data/data/per.pqy.apktool/lix/jvm/java-7-openjdk-armel/jre/bin/java: error while loading shared libraries: libc.so: cannot open shared object file: No such file or directory

Screenshot shows file there
Attached Thumbnails
Click image for larger version

Name:	tmp_7453-Screenshot_2015-10-15-14-46-32-2049154102.png
Views:	614
Size:	61.5 KB
ID:	3507629  
Post Reply Subscribe to Thread

Tags
apk, apktool, decompile, edit, tool

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes